Package org.apache.any23.validator

## Class DefaultValidationReport

- java.lang.Object
- - org.apache.any23.validator.DefaultValidationReport

- All Implemented Interfaces:
    `Serializable`, `ValidationReport`

      @NodeName("validationReport")
      public class DefaultValidationReport
      extends Object
      implements ValidationReport

  Default implementation of `ValidationReport`.
  Author:
    Michele Mostarda (mostarda@fbk.eu)
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.any23.validator.ValidationReport

      `ValidationReport.Error, ValidationReport.FixError, ValidationReport.Issue, ValidationReport.IssueLevel, ValidationReport.RuleActivation, ValidationReport.RuleError`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DefaultValidationReport​(List<ValidationReport.Issue> issues, List<ValidationReport.RuleActivation> ruleActivations, List<ValidationReport.Error> errors)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `List<ValidationReport.Error>` | `getErrors()` | Returns the list of detected errors.
    `List<ValidationReport.Issue>` | `getIssues()` | Returns the list of detected issues.
    `List<ValidationReport.RuleActivation>` | `getRuleActivations()` | Returns the list of activated rules.
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultValidationReport

          public DefaultValidationReport​(List<ValidationReport.Issue> issues,
                                         List<ValidationReport.RuleActivation> ruleActivations,
                                         List<ValidationReport.Error> errors)

  - ### Method Detail

    - #### getIssues

          public List<ValidationReport.Issue> getIssues()

      Description copied from interface: `ValidationReport`
      Returns the list of detected issues.
      Specified by:
        `getIssues` in interface `ValidationReport`
      Returns:
        list of detected issues.

    - #### getRuleActivations

          public List<ValidationReport.RuleActivation> getRuleActivations()

      Description copied from interface: `ValidationReport`
      Returns the list of activated rules.
      Specified by:
        `getRuleActivations` in interface `ValidationReport`
      Returns:
        list of activated rules.

    - #### getErrors

          public List<ValidationReport.Error> getErrors()

      Description copied from interface: `ValidationReport`
      Returns the list of detected errors.
      Specified by:
        `getErrors` in interface `ValidationReport`
      Returns:
        list of detected errors.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`